package com.bjtdba.entity.system;

import java.io.Serializable;
import java.util.Date;

/**
 * 组合数据详情表(SystemGroupData)实体类
 *
 * @author makejava
 * @since 2022-10-16 09:22:09
 */
public class SystemGroupData implements Serializable {
    private static final long serialVersionUID = -42476873795210829L;
    /**
     * 组合数据详情ID
     */
    private Long groupDataId;
    /**
     * 对应的数据组id
     */
    private Long groupId;
    /**
     * 数据组对应的数据值（json数据）
     */
    private String value;
    /**
     * 数据排序
     */
    private Integer sort;
    /**
     * 状态（1：开启；0：关闭；）
     */
    private Integer status;
    /**
     * 商户 id
     */
    private Long merId;
    /**
     * 添加数据时间
     */
    private Date createTime;


    public Long getGroupDataId() {
        return groupDataId;
    }

    public void setGroupDataId(Long groupDataId) {
        this.groupDataId = groupDataId;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

